Browse Source

Add README and Minor Changes

changes/87/569187/1
eanylin 4 years ago
parent
commit
c7fee8fd19
  1. 12
      shipyard_airflow/README.md
  2. 4
      shipyard_airflow/control/api.py
  3. 34
      shipyard_airflow/setup.py

12
shipyard_airflow/README.md

@ -0,0 +1,12 @@
## Shipyard Airflow ##
A python REST workflow orchestrator
To run:
```
$ virtualenv -p python2.7 /var/tmp/shipyard
$ . /var/tmp/shipyard/bin/activate
$ python setup.py install
$ uwsgi --http :9000 -w shipyard_airflow.shipyard --callable shipyard -L
```

4
shipyard_airflow/control/api.py

@ -25,7 +25,7 @@ def start_api():
control_api.add_route('/versions', VersionsResource())
# v1.0 of Drydock API
# v1.0 of Shipyard API
v1_0_routes = [
# API for managing region data
('/regions', RegionsResource()),
@ -46,4 +46,4 @@ class VersionsResource(BaseResource):
'path': '/api/v1.0',
'status': 'stable'
}})
resp.status = falcon.HTTP_200
resp.status = falcon.HTTP_200

34
shipyard_airflow/setup.py

@ -14,35 +14,17 @@
from setuptools import setup
setup(name='drydock_provisioner',
setup(name='shipyard_airflow',
version='0.1a1',
description='Bootstrapper for Kubernetes infrastructure',
url='http://github.com/att-comdev/drydock',
author='Scott Hussey - AT&T',
author_email='sh8121@att.com',
description='API for managing Airflow-based orchestration',
url='http://github.com/att-comdev/shipyard',
author='Anthony Lin - AT&T',
author_email='al498u@att.com',
license='Apache 2.0',
packages=['drydock_provisioner',
'drydock_provisioner.objects',
'drydock_provisioner.ingester',
'drydock_provisioner.ingester.plugins',
'drydock_provisioner.statemgmt',
'drydock_provisioner.orchestrator',
'drydock_provisioner.control',
'drydock_provisioner.drivers',
'drydock_provisioner.drivers.oob',
'drydock_provisioner.drivers.oob.pyghmi_driver',
'drydock_provisioner.drivers.node',
'drydock_provisioner.drivers.node.maasdriver',
'drydock_provisioner.drivers.node.maasdriver.models',
'drydock_provisioner.control'],
packages=['shipyard_airflow',
'shipyard_airflow.control'],
install_requires=[
'PyYAML',
'pyghmi>=1.0.18',
'netaddr',
'falcon',
'oslo.versionedobjects>=1.23.0',
'requests',
'oauthlib',
'uwsgi>1.4',
'uwsgi>1.4'
]
)
Loading…
Cancel
Save